ServerEvents.recipes(e=> {
    //钢、铁锤
    e.remove({ output: 'ad_astra:steel_ingot' })
    e.remove({ output: Item.of('ad_astra:hammer', '{Damage:0}') })
    //钢棒
    e.remove({output: 'ad_astra:engine_frame',type: 'minecraft:crafting_shaped'})
    e.shapeless('ad_astra:engine_frame', 
    [ 
      '#industrialforegoing:machine_frame/pity',
    ])
    //铁粉
    e.remove({output: '#forge:dusts/iron',type: 'minecraft:crafting_shaped'})
    //nasa workbench
    e.remove({output: 'ad_astra:nasa_workbench',type: 'minecraft:crafting_shaped'})
    //launch pad
    e.remove({output: 'ad_astra:launch_pad',type: 'minecraft:crafting_shaped'})
    e.shaped('ad_astra:launch_pad',[
      '   ', 
      'UUU', 
      'EEE'
     ], {
       U: 'immersiveengineering:slab_steel_scaffolding_standard',
       E: 'megacells:sky_steel_block'
     })
    e.remove({output: 'ad_astra:steel_tank',type: 'minecraft:crafting_shaped'})
    e.remove({output: 'ad_astra:rocket_nose_cone',type: 'minecraft:crafting_shaped'})
    e.remove({output: 'ad_astra:rocket_fin',type: 'minecraft:crafting_shaped'})


    e.replaceInput({mod:'ad_astra'}, '#forge:plates/steel', 'mekanism:hdpe_sheet')

  
    
  



  
  })
  